Subject: Re: Fwd: ISSUE: Checkgroups control messages

From: Julien ÉLIE <[email-masked]>
Date: Sat, 20 Sep 2008 17:34:46 +0200

Hi Charles,

>> * If I have a hierarchy like this one:
>>    fr.bienvenue
>>    fr.test
>> and if another administrator is in charge of the sub-hierarchy
>> fr.autres, with for instance:
>>    fr.autres
>>    fr.autres.fiction
>>    fr.autres.histoires
>> how can he specify in the Control: header that his checkgroups
>> contains fr.autres?
>>    Control: checkgroups fr.autres #1
>> means fr.autres.* and does not create fr.autres (which I do not
>> want in my own hierarchy).
>
> That is correct. I think the term "sub-hiererchy" is defined as a set of
> groups with a common prefix (ending in '.'), and so does not include its
> own root. So it would be up to the administrator of fr.* to include
> "fr.autres" in HIS checkgroups.

I think USEPRO should not do something which leads sub-hierarchies
not to be self-managed:  they should not lay on the checkgroups of the
main hierarchy in case the root of the sub-hierarchy is a valid newsgroup
(which is not a root for the super-hierarchy).

> The chkscope parameter was invented for the benefit of the de.alt.*
> hierachy (which is used as an example in our draft). I don't think the
> individual group de.alt actually exists, but the wording surrounding that
> example seems to confirm my interpretation.

I understand that the <chkscope> parameter was invented for de.alt.*;
note that there is also cn.bbs.* in the same case.  (fido.* groups are
almost defunct.)
What strikes me most is that USEPRO sticks to the behaviour of
de.alt.* (where de.alt is not a newsgroup) and do not try to be
more general and foresee what could happen.

>>   The <chksernr> argument may be any positive integer.
>> Could it be better specified what should look like this integer?
>> Especially, why not suggest something like DNS serial numbers
>> #2008090701?  Why not limit the size of this integer (32 bits?)
>> Suppose that I put a 448-digit number, I am not sure news servers
>> will manage to save it and compare it with the next one.
>
> I wouldn't want to specify its format any further, but we might insist
> that the integer should be less that 32768, or somesuch.

I do not think it wise to limit this number to 32768 because one
could not use DNS serial numbers (which are practical).
2^31-1 = 2,147,483,647 would be better, at least.
It could be said that implementations should except <chksernr> arguments
to be a 32-bit integer.  And that the (unsigned) integer should be less
than 2^32-1.

-- 
Julien ÉLIE

« Et rose elle a vécu ce que vivent les roses :
  L'espace d'un matin. » (François de Malherbe)